Subject: Re: [EXT] Re: [PATCH net-next v1 1/2] octeon_ep: implement device unload control net API

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Nov 2023 08:27:12 -0800

On Tue, 28 Nov 2023 04:22:11 +0000 Shinas Rasheed wrote:
> > On Mon, 27 Nov 2023 08:21:34 -0800 Shinas Rasheed wrote:  
> > > Device unload control net function should inform firmware  
> > 
> > What is "control net" again?  
> 
> Control net is just a software layer which is used by the host driver
> as well as the firmware to communicate with each other, given in the
> source file octep_ctrl_net.c and the corresponding octep_ctrl_net.h
> interface, which is already part of upstreamed driver.

Yes, I think it went in before I had time to nack it.
I'm strongly against using the IP stack to talk to FW,
if you read the ML you would know it.

No new patches to octep_ctrl_net will be accepted.